SbStringList Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SbStringList Class Reference
Base Classes

The SbStringList class is a container for arrays of SbString pointers.Note that upon using the equality and inequality operators, the strings themselves are not compared, only the pointer values. More...

`#include <Inventor/lists/SbStringList.h>`

Inheritance diagram for SbStringList:

## Public Member Functions
| SbStringList (void)
| SbStringList (const int sizehint)
void | append (SbString *string)
int | find (SbString *string) const
void | insert (SbString *string, int insertbefore)
SbString *& | operator[] (const int idx) const
const SbString ** | getArrayPtr (void) const
Public Member Functions inherited from SbPList
| SbPList (const int sizehint=DEFAULTSIZE)
| SbPList (const SbPList &l)
| ~SbPList ()
void | copy (const SbPList &l)
SbPList & | operator= (const SbPList &l)
void | fit (void)
void | append (void *item)
int | find (void *item) const
void | insert (void *item, const int insertbefore)
void | removeItem (void *item)
void | remove (const int index)
void | removeFast (const int index)
int | getLength (void) const
void | truncate (const int length, const int fit=0)
void ** | getArrayPtr (const int start=0) const
void *& | operator[] (const int index) const
int | operator== (const SbPList &l) const
int | operator!= (const SbPList &l) const
void * | get (const int index) const
void | set (const int index, void *item)

## Additional Inherited Members
Protected Member Functions inherited from SbPList
void | expand (const int size)
int | getArraySize (void) const

## Detailed Description

The SbStringList class is a container for arrays of SbString pointers.

Note that upon using the equality and inequality operators, the strings themselves are not compared, only the pointer values.

This class do not allocate or deallocate strings. It's the callers responsibility to allocate/deallocate the SbString instances.

See also
  SbPList

## Constructor & Destructor Documentation

SbStringList::SbStringList | ( | void |  | ) |
| inline

Default constructor.

SbStringList::SbStringList | ( | const int | sizehint | ) |
| inline

This constructor initializes the internal allocated size for the list to sizehint. Note that the list will still initially contain zero items.

See also
  SPbList::SbList(const int sizehint)

## Member Function Documentation

int SbStringList::find | ( | SbString * | string | ) | const
| inline

Overridden from parent to accept an SbString argument.

void SbStringList::insert | ( | SbString * | string,
|  | int | insertbefore
| ) |  |
| inline

Overridden from parent to accept an SbString argument.

SbString *& SbStringList::operator[] | ( | const int | idx | ) | const
| inline

Overridden from parent to return an SbString pointer.

const SbString ** SbStringList::getArrayPtr | ( | void |  | ) | const
| inline

Overridden from parent to return an SbString pointer array.

The documentation for this class was generated from the following files:

- SbStringList.h
- SbStringList.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.